CVE-2009-0125

MEDIUM

Description

** DISPUTED ** NOTE: this issue has been disputed by the upstream vendor. nasl/nasl_crypto2.c in the Nessus Attack Scripting Language library (aka libnasl) 2.2.11 does not properly check the return value from the OpenSSL DSA_do_verify function, which allows remote attackers to bypass validation of the certificate chain via a malformed SSL/TLS signature, a similar vulnerability to CVE-2008-5077. NOTE: the upstream vendor has disputed this issue, stating "while we do misuse this function (this is a bug), it has absolutely no security ramification."

References

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=511517

http://cvs.fedoraproject.org/viewvc/rpms/libnasl/F-10/libnasl.spec?r1=1.16&r2=1.17

http://lists.opensuse.org/opensuse-security-announce/2009-02/msg00000.html

http://openwall.com/lists/oss-security/2009/01/12/4

http://www.attrition.org/pipermail/vim/2009-January/002133.html

https://bugzilla.redhat.com/show_bug.cgi?id=479655

Details

Source: MITRE

Published: 2009-01-15

Updated: 2009-02-10

Type: CWE-287

Risk Information

CVSS v2.0

Base Score: 5

Vector: AV:N/AC:L/Au:N/C:P/I:N/A:N

Impact Score: 2.9

Exploitability Score: 10

Severity: MEDIUM